Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibcnt

## Name

ibcnt -- hold number of bytes transferred, or errno

## Synopsis

    #include <gpib/ib.h>

    volatile int ibcnt;
    volatile long ibcntl;

## Description

ibcnt and ibcntl are set after IO operations to the the the number of bytes sent or received. They are also set to the value of errno after EDVR or EFSO errors.

If you wish to avoid using a global variable, you may instead use ThreadIbcnt() or ThreadIbcntl() which return thread-specific values.

Prev | Home | Next
Linux-GPIB Reference | Up | iberr